import { createContext, useContext } from "solid-js";
const PBContext = createContext();
export const usePB = () => {
    const ctx = useContext(PBContext);
    if (!ctx)
        throw new Error("This hook must be used within a PBContext.Provider!");
    return ctx;
};
export default PBContext;
